package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;



/**
 * 点巡检工单明细项目信息;质检检查每个项目的质检结果详情对象 dms_inspect_instance_detail_project
 *
 * @author xins
 * @date 2024-03-19
 */
public class DmsInspectInstanceDetailProject extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点巡检工单明细项目信息ID */
    private Long instanceDetailProjectId;

    /** 点巡检工单明细ID，关联dms_inspect_instance_detail主键 */
    @Excel(name = "点巡检工单明细ID，关联dms_inspect_instance_detail主键")
    private Long instanceDetailId;

    /** 巡检项目ID，关联dms_base_inspect_project主键 */
    @Excel(name = "巡检项目ID，关联dms_base_inspect_project主键")
    private Long inspectProjectId;

    /** 巡检结果(1正常,0异常);定性需选择，定量的话根据检验结果的具体值自动选择 */
    @Excel(name = "巡检结果(1正常,0异常);定性需选择，定量的话根据检验结果的具体值自动选择")
    private String inspectProjectStatus;

    /** 巡检结果,具体值 */
    @Excel(name = "巡检结果,具体值")
    private BigDecimal inspectProjectResult;

    /** 巡检顺序 */
    @Excel(name = "巡检顺序")
    private Long projectStepOrder;

    /** 标准值 */
    @Excel(name = "标准值")
    private BigDecimal defValue;

    /** 巡检项目名称（冗余字段） */
    @Excel(name = "巡检项目名称", readConverterExp = "冗=余字段")
    private String inspectProjectName;

    /** 巡检项目属性(1定性,2定量),冗余字段 */
    @Excel(name = "巡检项目属性(1定性,2定量),冗余字段")
    private String inspectProjectProperty;

    /** 上差值，检验时从检验项目复制过来的值 */
    @Excel(name = "上差值，检验时从检验项目复制过来的值")
    private BigDecimal upLimit;

    /** 下差值，检验时从检验项目复制过来的值 */
    @Excel(name = "下差值，检验时从检验项目复制过来的值")
    private BigDecimal lowLimit;

    @Excel(name = "巡检描述")
    private String inspectProjectDesc;
    private String inspectDesc;

    private Long deviceId;
    public void setInspectDesc(String inspectDesc)
    {
        this.inspectDesc = inspectDesc;
    }
    public String getInspectDesc()
    {
        return inspectDesc;
    }


    public void setInstanceDetailProjectId(Long instanceDetailProjectId)
    {
        this.instanceDetailProjectId = instanceDetailProjectId;
    }

    public Long getInstanceDetailProjectId()
    {
        return instanceDetailProjectId;
    }
    public void setInstanceDetailId(Long instanceDetailId)
    {
        this.instanceDetailId = instanceDetailId;
    }

    public Long getInstanceDetailId()
    {
        return instanceDetailId;
    }
    public void setInspectProjectId(Long inspectProjectId)
    {
        this.inspectProjectId = inspectProjectId;
    }

    public Long getInspectProjectId()
    {
        return inspectProjectId;
    }
    public void setInspectProjectStatus(String inspectProjectStatus)
    {
        this.inspectProjectStatus = inspectProjectStatus;
    }

    public String getInspectProjectStatus()
    {
        return inspectProjectStatus;
    }
    public void setInspectProjectResult(BigDecimal inspectProjectResult)
    {
        this.inspectProjectResult = inspectProjectResult;
    }

    public BigDecimal getInspectProjectResult()
    {
        return inspectProjectResult;
    }
    public void setProjectStepOrder(Long projectStepOrder)
    {
        this.projectStepOrder = projectStepOrder;
    }

    public Long getProjectStepOrder()
    {
        return projectStepOrder;
    }
    public void setDefValue(BigDecimal defValue)
    {
        this.defValue = defValue;
    }

    public BigDecimal getDefValue()
    {
        return defValue;
    }
    public void setInspectProjectName(String inspectProjectName)
    {
        this.inspectProjectName = inspectProjectName;
    }

    public String getInspectProjectName()
    {
        return inspectProjectName;
    }
    public void setInspectProjectProperty(String inspectProjectProperty)
    {
        this.inspectProjectProperty = inspectProjectProperty;
    }

    public String getInspectProjectProperty()
    {
        return inspectProjectProperty;
    }
    public void setUpLimit(BigDecimal upLimit)
    {
        this.upLimit = upLimit;
    }

    public BigDecimal getUpLimit()
    {
        return upLimit;
    }
    public void setLowLimit(BigDecimal lowLimit)
    {
        this.lowLimit = lowLimit;
    }

    public BigDecimal getLowLimit()
    {
        return lowLimit;
    }

    public String getInspectProjectDesc() {
        return inspectProjectDesc;
    }

    public void setInspectProjectDesc(String inspectProjectDesc) {
        this.inspectProjectDesc = inspectProjectDesc;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("instanceDetailProjectId", getInstanceDetailProjectId())
            .append("instanceDetailId", getInstanceDetailId())
            .append("inspectProjectId", getInspectProjectId())
            .append("inspectProjectStatus", getInspectProjectStatus())
            .append("inspectProjectResult", getInspectProjectResult())
            .append("projectStepOrder", getProjectStepOrder())
            .append("defValue", getDefValue())
            .append("inspectProjectName", getInspectProjectName())
            .append("inspectProjectProperty", getInspectProjectProperty())
            .append("upLimit", getUpLimit())
            .append("lowLimit", getLowLimit())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
